function gt = load_txt(filename)
    in_f = fopen(filename, 'r');
    W = fscanf(in_f, '%d', 1);
    H = fscanf(in_f, '%d', 1);
    F = fscanf(in_f, '%d', 1);
    O = fscanf(in_f, '%d', 1);
    L = fscanf(in_f, '%d', 1);
    
    gt = cell(1, F);
    
    for f = 1:F
        gt{f} = false(H, W);
    end
    
    for l = 1:L
        I = fscanf(in_f, '%d', 1);
        N = fscanf(in_f, '%d', 1);
        idxs = fscanf(in_f, '%d', N);
        gt{I} = gt{I} | irle(idxs, W, H);
    end
    
    fclose(in_f);
end
