function save_txt(filename, gt)
    W = size(gt{1}, 2);
    H = size(gt{1}, 1);
    F = numel(gt);
    O = 0;
    L = 0;
    
    for I = 1:F
        if sum(sum(gt{I})) ~= 0
            [~, num_ccs] = bwlabel(gt{I});
            L = L + num_ccs;
        end
    end
    
    out_f = fopen(filename, 'w');
    fprintf(out_f, '%d %d %d %d %d\n', W, H, F, O, L);
    
    for I = 1:F
        if sum(sum(gt{I})) == 0; continue; end;
        [gt_labels, num_ccs] = bwlabel(gt{I});
        
        for n = 1:num_ccs
            idxs = rle(gt_labels == n);
            N = numel(idxs);
            if N == 0; continue; end;
            fprintf(out_f, '%d %d', I, N);

            for j = 1:N
                fprintf(out_f, ' %d', idxs(j));
            end

            fprintf(out_f, '\n');
        end
    end
    
    fclose(out_f);
end
